Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 3182)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Rename variables for boundary-condition flags and for offline nesting mode 
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables for boundary-condition flags and for offline nesting mode 
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Bugfix in calculation of left-sided fluxes for u-component in OpenMP case.
 ! 
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 3182)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename some variables concerning LES-LES as well as offline nesting
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename some variables concerning LES-LES as well as offline nesting
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! - Use wall function for e_p and diss_p in case of rans_tke_e
 ! - move limitation of diss_p from tcm_prognostic
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 3182)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename boundary conditions in offline nesting
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id: check_parameters.f90 2520 2017-10-05 13:50:26Z gronemeier &
+! Rename boundary conditions in offline nesting
+! 
+! 2520 2017-10-05 13:50:26Z gronemeier
 ! Add inital profile output for e (TG)
 ! 
Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3183)
@@ -22,9 +22,12 @@
 ! Current revisions:
 ! -----------------
-! Rename flags indicating outflow boundary conditions
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename flags indicating outflow boundary conditions
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Revise output of surface quantities in case of overhanging structures
 ! 
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 3182)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Remove masking of geostrophic wind forcing in offline nesting case
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Remove masking of geostrophic wind forcing in offline nesting case
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Corrected "Former revisions" section
 ! 
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 3182)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 3183)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Rename variables in offline nesting mode and flags indicating lateral
-! boundary conditions
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables in offline nesting mode and flags indicating lateral
+! boundary conditions
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Corrected "Former revisions" section
 ! 
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 3182)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Revise Inifor initialization
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Revise Inifor initialization
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Added multi agent system
 ! 
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 3182)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename variables in mesoscale-offline nesting mode
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables in mesoscale-offline nesting mode
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Bugfix in referencing buildings on orography top
 ! 
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 3182)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Rename variables and boundary conditions in mesoscale-offline nesting mode
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables and boundary conditions in mesoscale-offline nesting mode
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! bugfix: wrong error number in r3057 revised
 ! 
Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3183)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! * Adjustment to new Inifor version: 
 !   - No vertical interpolation/extrapolation of lateral boundary data required
@@ -26,7 +31,5 @@
 ! * Rename variables and subroutines for offline nesting
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Error messages revised
 ! 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 3182)
+++ palm/trunk/SOURCE/modules.f90	(revision 3183)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Rename offline nesting variables:
 ! -inflow_l, inflow_n, inflow_r, inflow_s, 
@@ -29,7 +34,5 @@
 !  nesting_offline
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Default value of dz_max has changed to a more uncommon value of 999 (value 
 ! of dz_max can not be part of dz values when using new stretching procedure)
Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3183)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Adjust input of dynamic driver according to revised Inifor version. 
 ! Replace simulated_time by time_since_reference_point.
 ! Rename variables in mesoscale-offline nesting mode.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Slightly revise check for surface_fraction in order to check only the relevant
 ! fractions
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 3182)
+++ palm/trunk/SOURCE/parin.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename variables and boundary conditions in mesoscale-offline nesting mode
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables and boundary conditions in mesoscale-offline nesting mode
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Added multi agent system
 ! 
Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3183)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Variable names for nest_bound_x replaced by bc_dirichlet_x.
-! Remove commented prints into debug files.
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Variable names for nest_bound_x replaced by bc_dirichlet_x.
+! Remove commented prints into debug files.
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! dz was replaced by dz(1)
 ! 
Index: palm/trunk/SOURCE/poismg_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/poismg_mod.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename variables in mesoscale-offline nesting mode
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables in mesoscale-offline nesting mode
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Set lateral boundary conditions for divergence
 !
Index: palm/trunk/SOURCE/poismg_noopt_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename variables in mesoscale-offline nesting mode
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables in mesoscale-offline nesting mode
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Set lateral boundary conditions for divergence
 ! 
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 3182)
+++ palm/trunk/SOURCE/pres.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Rename variables for boundary flags and nesting
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables for boundary flags and nesting
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Dollar sign added before Id
 ! 
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 3182)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Remove unused variables from USE statements
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Remove unused variables from USE statements
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Revise recent bugfix for nesting
 ! 
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename variables for boundary flags
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables for boundary flags
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! New parameters concerning vertical grid stretching have been added
 ! 
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 3182)
+++ palm/trunk/SOURCE/sor.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename variables in mesoscale-offline nesting mode
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables in mesoscale-offline nesting mode
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Corrected "Former revisions" section
 ! 
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3183)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Rename variables and extend error message
-! Enable geneartor also for stretched grids
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables and extend error message
+! Enable geneartor also for stretched grids
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Error message related to vertical stretching has been added, dz was replaced
 ! by dz(1)
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 3182)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 3183)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Replace simulated_time by time_since_reference_point in COSMO nesting mode. 
-! Rename subroutines and variables in COSMO nesting mode
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Replace simulated_time by time_since_reference_point in COSMO nesting mode. 
+! Rename subroutines and variables in COSMO nesting mode
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Added multi agent system
 ! 
Index: palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3182)
+++ palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3183)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Rename variables and remove unused variable from USE statement
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Rename variables and remove unused variable from USE statement
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Use MOST for km only in RANS mode
 ! 
Index: palm/trunk/UTIL/inifor/Makefile
===================================================================
--- palm/trunk/UTIL/inifor/Makefile	(revision 3182)
+++ palm/trunk/UTIL/inifor/Makefile	(revision 3183)
@@ -20,5 +20,4 @@
 # Current revisions:
 # -----------------
-# Added __netcdf4 preprocessor flag
 # 
 # 
@@ -26,4 +25,8 @@
 # -----------------
 # $Id$
+# Added __netcdf4 preprocessor flag
+# 
+# 
+# 3182 2018-07-27 13:36:03Z suehring
 # Initial revision
 #
Index: palm/trunk/UTIL/inifor/Makefile.gnu
===================================================================
--- palm/trunk/UTIL/inifor/Makefile.gnu	(revision 3182)
+++ palm/trunk/UTIL/inifor/Makefile.gnu	(revision 3183)
@@ -20,11 +20,14 @@
 # Current revisions:
 # -----------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
 # Added __netcdf4 preprocessor flag
 # Corrected compilation order
 #
 # 
-# Former revisions:
-# -----------------
-# $Id$
+# 3182 2018-07-27 13:36:03Z suehring
 # Initial revision
 #
Index: palm/trunk/UTIL/inifor/Makefile.ifort
===================================================================
--- palm/trunk/UTIL/inifor/Makefile.ifort	(revision 3182)
+++ palm/trunk/UTIL/inifor/Makefile.ifort	(revision 3183)
@@ -20,11 +20,14 @@
 # Current revisions:
 # -----------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
 # Added __netcdf4 preprocessor flag
 # Corrected compilation order
 #
 # 
-# Former revisions:
-# -----------------
-# $Id$
+# 3182 2018-07-27 13:36:03Z suehring
 # Initial revision
 #
Index: palm/trunk/UTIL/inifor/src/control.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/control.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/control.f90	(revision 3183)
@@ -21,5 +21,4 @@
 ! Current revisions:
 ! -----------------
-! Added version and copyright output
 ! 
 ! 
@@ -27,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Added version and copyright output
+! 
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/src/defs.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/defs.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/defs.f90	(revision 3183)
@@ -21,4 +21,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Updated defaults for soil extrapolation steps and nudging time-scale
 ! Improved handling of the start date string
@@ -27,7 +32,5 @@
 ! 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/src/get_netcdf_variable.inc
===================================================================
--- palm/trunk/UTIL/inifor/src/get_netcdf_variable.inc	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/get_netcdf_variable.inc	(revision 3183)
@@ -21,5 +21,4 @@
 ! Current revisions:
 ! -----------------
-! Initial revision
 ! 
 ! 
@@ -27,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Initial revision
+! 
+! 
+! 
 !
 ! 
Index: palm/trunk/UTIL/inifor/src/grid.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/grid.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/grid.f90	(revision 3183)
@@ -21,4 +21,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Introduced new PALM grid stretching
 ! Updated variable names and metadata for PIDS v1.9 compatibility
@@ -33,7 +38,5 @@
 !
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/src/inifor.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/inifor.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/inifor.f90	(revision 3183)
@@ -21,4 +21,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Introduced new PALM grid stretching
 ! Renamend initial-condition mode variable 'mode' to 'ic_mode'
@@ -26,7 +31,5 @@
 ! 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/src/io.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/io.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/io.f90	(revision 3183)
@@ -21,4 +21,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Introduced new PALM grid stretching
 ! Updated variable names and metadata for PIDS v1.9 compatibility
@@ -34,7 +39,5 @@
 ! 
 !
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/src/transform.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/transform.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/transform.f90	(revision 3183)
@@ -21,4 +21,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Introduced new PALM grid stretching
 ! Removed unnecessary subroutine parameters
@@ -26,7 +31,5 @@
 ! 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/src/types.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/types.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/types.f90	(revision 3183)
@@ -21,4 +21,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Introduced new PALM grid stretching:
 ! - Converted vertical grid_definition coordinte variables to pointers
@@ -28,7 +33,5 @@
 ! 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/src/util.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/util.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/src/util.f90	(revision 3183)
@@ -21,5 +21,4 @@
 ! Current revisions:
 ! -----------------
-! Improved real-to-string conversion
 ! 
 ! 
@@ -27,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Improved real-to-string conversion
+! 
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/tests/test-boundaries.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-boundaries.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/tests/test-boundaries.f90	(revision 3183)
@@ -21,5 +21,4 @@
 ! Current revisions:
 ! -----------------
-! Updated test for new PALM grid strechting
 ! 
 ! 
@@ -27,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Updated test for new PALM grid strechting
+! 
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/tests/test-grid.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-grid.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/tests/test-grid.f90	(revision 3183)
@@ -21,5 +21,4 @@
 ! Current revisions:
 ! -----------------
-! Updated test for new PALM grid strechting
 ! 
 ! 
@@ -27,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Updated test for new PALM grid strechting
+! 
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/tests/test-input-files.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-input-files.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/tests/test-input-files.f90	(revision 3183)
@@ -21,10 +21,13 @@
 ! Current revisions:
 ! -----------------
-! New test for negative start_hour and greater-than-one step_hour
-!
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! New test for negative start_hour and greater-than-one step_hour
+!
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/tests/test-interpolation.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-interpolation.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/tests/test-interpolation.f90	(revision 3183)
@@ -21,10 +21,13 @@
 ! Current revisions:
 ! -----------------
-! Updated test for new grid_definition
-!
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Updated test for new grid_definition
+!
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/tests/test-prototype.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-prototype.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/tests/test-prototype.f90	(revision 3183)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! Added usage hints
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Added usage hints
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !
Index: palm/trunk/UTIL/inifor/tests/test-stretching.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-stretching.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/tests/test-stretching.f90	(revision 3183)
@@ -21,5 +21,4 @@
 ! Current revisions:
 ! -----------------
-! Initial revision
 ! 
 ! 
@@ -27,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Initial revision
+! 
+! 
+! 
 ! 
 !
Index: palm/trunk/UTIL/inifor/tests/util.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/util.f90	(revision 3182)
+++ palm/trunk/UTIL/inifor/tests/util.f90	(revision 3183)
@@ -21,5 +21,4 @@
 ! Current revisions:
 ! -----------------
-! Expose error measure as parameter in assert_equal()
 ! 
 ! 
@@ -27,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Expose error measure as parameter in assert_equal()
+! 
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Initial revision
 !