Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3202)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3203)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Revise bulk parameter for emissivity at ground-floor level
+! 
+! 3196 2018-08-13 12:26:14Z maronga
 ! Added maximum aerodynamic resistance of 300 for horiztonal surfaces.
 ! 
@@ -491,5 +494,5 @@
         1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
         0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.4_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
+        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
         24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
         0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
@@ -502,5 +505,5 @@
         1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
         0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.4_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
+        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
         24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
         0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
@@ -513,5 +516,5 @@
         1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
         0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.4_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
+        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
         24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
         0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
@@ -524,5 +527,5 @@
         1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
         0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.4_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
+        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
         24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
         0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
@@ -535,5 +538,5 @@
         1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
         0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.4_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
+        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
         24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
         0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
@@ -546,5 +549,5 @@
         1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
         0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.4_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
+        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
         24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
         0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44
@@ -557,5 +560,5 @@
         1000000.0_wp, 1000000.0_wp, 1000000.0_wp,                              & !parameter 26-28                     
         0.3_wp, 0.3_wp, 0.3_wp,                                                & !parameter 29-31       
-        0.4_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
+        0.9_wp, 0.4_wp, 0.4_wp, 0.4_wp, 0.01_wp, 0.001_wp,                     & !parameter 32-37
         24.0_wp, 24.0_wp, 24.0_wp,                                             & !parameter 38-40
         0.0242_wp, 0.0969_wp, 0.346_wp, 1.0_wp,                                & !parameter 41-44