Index: palm/trunk/SCRIPTS/.palm.config.default
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default	(revision 3204)
+++ palm/trunk/SCRIPTS/.palm.config.default	(revision 3205)
@@ -65,8 +65,8 @@
 
 # options to be used to compile PALM
-%compiler_options    -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%compiler_options    -fpe0 -O3 -xHost -fp-model source -ftz -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
 
 # options to be used to link the PALM executable
-%linker_options      -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%linker_options      -fpe0 -O3 -xHost -fp-model source -ftz -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
 
 # name of hostfile to be used
Index: palm/trunk/SCRIPTS/.palm.config.idefix
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.idefix	(revision 3204)
+++ palm/trunk/SCRIPTS/.palm.config.idefix	(revision 3205)
@@ -24,6 +24,6 @@
 %cpp_options         -cpp -D__parallel -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__fftw -D__intel_compiler
 %make_options        -j 4
-%compiler_options    -fpe0 -O3 -cpp -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -diag-disable 8290,8291 -I /opt/netcdf4_hdf5parallel/4411c_443f/intel/include -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib -L/opt/hdf5-parallel/1.10.0-patch1/intel/lib -lnetcdf -lnetcdff -I /opt/fftw/3.3.6-pl1/mvapich2-intel/include -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib -lfftw3
-%linker_options      -fpe0 -O3 -cpp -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -diag-disable 8290,829 -I /opt/netcdf4_hdf5parallel/4411c_443f/intel/include -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib -L/opt/hdf5-parallel/1.10.0-patch1/intel/lib -lnetcdf -lnetcdff -I /opt/fftw/3.3.6-pl1/mvapich2-intel/include -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib -lfftw3
+%compiler_options    -fpe0 -O3 -cpp -fp-model source -ftz -no-prec-div -no-prec-sqrt -ip -I /opt/netcdf4_hdf5parallel/4411c_443f/intel/include -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib -L/opt/hdf5-parallel/1.10.0-patch1/intel/lib -lnetcdf -lnetcdff -I /opt/fftw/3.3.6-pl1/mvapich2-intel/include -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib -lfftw3
+%linker_options      -fpe0 -O3 -cpp -fp-model source -ftz -no-prec-div -no-prec-sqrt -ip -I /opt/netcdf4_hdf5parallel/4411c_443f/intel/include -L/opt/netcdf4_hdf5parallel/4411c_443f/intel/lib -L/opt/hdf5-parallel/1.10.0-patch1/intel/lib -lnetcdf -lnetcdff -I /opt/fftw/3.3.6-pl1/mvapich2-intel/include -L/opt/fftw/3.3.6-pl1/mvapich2-intel/lib -lfftw3
 %hostfile            auto
 %module_commands     module load intel-compiler/2017.1.132 mvapich2/2.2/intel fftw/3.3.6-pl1/mvapich2-intel hdf5-parallel/1.10.0-patch1/intel netcdf4_hdf5parallel/4411c_443f/intel
Index: palm/trunk/SCRIPTS/.palm.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.imuk	(revision 3204)
+++ palm/trunk/SCRIPTS/.palm.config.imuk	(revision 3205)
@@ -15,6 +15,6 @@
 %cpp_options         -cpp -D__parallel -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__fftw -D__netcdf
 %make_options        -j 4
-%compiler_options    -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
-%linker_options      -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%compiler_options    -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%linker_options      -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
 %hostfile            auto
 %execute_command     mpiexec  -machinefile hostfile  -n {{mpi_tasks}}  palm